Function
topologicalSort
Performs a topological sort on a directed acyclic graph (DAG).
topologicalSort(g, topSort)
Include Headers
seqan/graph_algorithms.h
Parameters

g | In-parameter:A directed acyclic graph. Types: Directed Graph
topSort | Out-parameter:A linear ordering of the vertices. Types: String

Remarks
A topological sort is a linear ordering of all its vertices such that if the graph contains an edge (u,v) then u appears before v in the ordering.
Return Values
void.
Example Programs
Topological Sort
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:49